local hcTk = HCToolkit

function hcTk.GenericGet(name)
    return hcTk.DB.profile[name]
end

function hcTk.GenericSet(name, value)
    hcTk.DB.profile[name] = value
end

function hcTk.FrameToggleUnlock(frame, setting, value)
    setting.Unlocked = value
    frame:SetMovable(value)
    frame:EnableMouse(value)
end

function hcTk.FrameSetFontProperty(frame, setting, property, value)
    setting[property] = value
    frame.font:SetFont(hcTk.LSM:Fetch("font", value), setting.Size, setting.Flag)
    frame.font:SetJustifyH(setting.Align)
end